classification
Title: Minor doc typo at datamodel.rst: "list" -> "alist"
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, rbp
Priority: normal Keywords: patch

Created on 2010-09-18 09:11 by rbp, last changed 2010-12-26 02:27 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
alist_doc-2.x.patch rbp, 2010-09-18 09:11
alist_doc-3.x.patch rbp, 2010-09-18 09:11
Messages (2)
msg116757 - (view) Author: Rodrigo Bernardo Pimentel (rbp) (Python committer) Date: 2010-09-18 09:11
The "Built-in methods" item of the "The standard type hierarchy" section of Doc/reference/datamodels.rst uses a list instance called "alist" as an example, and it says "__self__ is set to the object denoted by *list*." It should read "the object denoted by *alist*"

This affects all releases, so I've marked them all. But I suppose we don't care about 2.5 anymore. All the others are listed on docs.python.org (or are "trunk"), and I think should be fixed.

It's a trivial fix, and a single patch works 2.x and another for 3.x.
msg124659 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-12-26 02:27
Fixed in r87486 (py3k), r87487 (3.1) and r87488 (2.7), thanks!
History
Date User Action Args
2010-12-26 02:27:14eric.araujosetstatus: open -> closed

nosy: + eric.araujo
messages: + msg124659

resolution: fixed
stage: resolved
2010-09-20 22:20:18eric.araujosetversions: - Python 2.6, Python 2.5, Python 3.3
2010-09-18 09:11:46rbpsetfiles: + alist_doc-3.x.patch
2010-09-18 09:11:20rbpcreate